Gem::Specification.new do |s|
  s.name        = 'shopapp'
  s.version     = '0.2.75'
  s.date        = '2020-05-12'
  s.summary     = 'Do a shoplift.'
  s.description = 'Ha! Art thou Bedlam? Dost thou thirst base Trojan, to have me fold up Parca\'s fatal web? Hence!\
                   I am qualmish at the smell of leek.'
  s.author      = 'Zeljko'
  s.email       = 'zeljko@z-ware.fi'

  s.files       = `git ls-files`.split("\n") - %w(.rvmrc .gitignore)

  s.bindir      = 'bin'
  s.executables << 'shopitapp'
  s.executables << 'shop'
  s.homepage    = 'http://rubygems.org/gems/shopapp'
  s.license     = 'MIT'
  s.require_paths = ["lib"]


  # Dependences
  s.add_dependency 'railties', '~> 5.2', '>= 5.2'
  s.add_dependency 'haml-rails', '~> 2.0'
  s.add_dependency 'jquery-rails', '~> 4.3'
  s.add_dependency 'bootstrap', '~> 4.1'
  s.add_dependency 'font-awesome-rails', '~> 4.7'
  s.add_dependency 'bootstrap-will_paginate', '~> 1.0'
  s.add_dependency 'pry-rails', '~> 0.3'
  s.add_dependency 'oauth2', '~> 1.4'
  s.add_dependency 'rest-client', '~> 2.0'
  s.add_dependency 'gravatar_image_tag', '~> 1.2'
  s.add_dependency 'redcarpet', '~> 3.4'
  s.add_dependency 'audited', '~> 4.7'
  s.add_dependency 'material_design_icons', '~> 3.5'

  s.add_dependency 'capistrano', '~> 3.11'
  s.add_dependency 'capistrano-rvm', '~> 0'
  s.add_dependency 'capistrano-rails', '~> 1.2'
  s.add_dependency 'capistrano-passenger', '~> 0.2.0'
  s.add_dependency 'aws-sdk-rails', '~> 2'

  # following are only needed on OSX, but do not matter to others
  s.add_dependency 'ed25519', '~> 1.2'
  s.add_dependency 'bcrypt_pbkdf', '~> 1.0'

  # following are helping with installation dependences
  s.add_dependency 'rb-readline', '~> 0.5'
end
